%lib_package pth 20

Summary: The GNU Portable Threads
Name: pth
Version: 2.0.7
Release: 6%{?dist}
License: LGPL2.1
Group: System Environment/Libraries
URL: http://www.gnu.org/software/pth/
Source0: ftp://ftp.gnu.org/gnu/pth/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/pth/%{name}-%{version}.tar.gz.sig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%lib_dependencies

%description
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution (aka `multithreading') inside event-driven
applications.

%prep
%setup -q

%build
CFLAGS="$CFLAGS -fPIC"; export CFLAGS
%configure --enable-batch --enable-optimize --enable-tests --disable-pthread
make
make test

%install
rm -rf %{buildroot}
%makeinstall

cat > develfiles.list << EOF
%defattr(-,root,root,-)
%{_bindir}/pth-config
%{_mandir}/man1/pth-config.1*
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* ANNOUNCE AUTHORS ChangeLog COPYING HACKING HISTORY NEWS PORTING SUPPORT THANKS USERS
%{_mandir}/man3/pth.3*

%changelog
* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.7-6
- Update to 2.0.7.

* Fri Mar 10 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.6.

* Sat Oct  8 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.5.

* Tue Mar 30 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.


